Facette-Python
==============
[![Build Status](https://travis-ci.org/iZerOo/facette-python.svg?branch=master)](https://travis-ci.org/iZerOo/facette-python)

Introduction
------------

Facette-python is a client for interacting with [Facette][0]

Dependencies
------------

Main dependency is:

- [Requests][1]: HTTP library for human beings

Installation:
-------------

For installation : 

    $ git clone https://github.com/iZerOo/facette-python.git
    $ pip install -r requirements.txt
    $ python setup.py install
    
Use virtualenv is recommended

Launch unittest 

    $ tox

Example
-------

Some simple examples : 

Returns an array listing the available origins

    $ python
    >>> from facettepy.client import FacetteAPI
    >>> client = FacetteAPI(host='demo.facette.io')
    >>> catalog = client.CatalogAPI.origin.get_all()

Returns a metric object with its associated origins and sources and date
of last update.

    $ python
    >>> from facettepy.client import FacetteAPI
    >>> client = FacetteAPI(host='demo.facette.io')
    >>> catalog = client.CatalogAPI.metrics.get_single('metrics_name')
    
Please see [examples](example) for more.

External Resource
-----------------

You can see [Facette API Documentation][2], for the use of dates or filters.


Not supported
-------------
* Update objects in Library API
* Expand query tuples in Library API
* Get scales values in Library API
* Plots API



[0]: https://facette.io/
[1]: http://docs.python-requests.org/
[2]: http://docs.facette.io/api/
