# from distutils.core import setup
from setuptools import find_packages, setup
from setuptools.command.test import test as test_command
import sys
import facettepy


class Tox(test_command):
    def finalize_options(self):
        test_command.finalize_options(self)
        self.test_args = []
        self.test_suite = True

    def run_tests(self):
        # import here, cause outside the eggs aren't loaded
        import tox
        errcode = tox.cmdline(self.test_args)
        sys.exit(errcode)


setup(
    name='facettepy',
    version=facettepy.__version__,
    packages=['facettepy'],
    include_package_data=True,
    install_requires=['requests'],
    url='https://github.com/iZerOo/facette-python',
    license=open('LICENCE').read(),
    author=facettepy.__author__,
    author_email=facettepy.__email__,
    maintainer=facettepy.__author__,
    maintainer_email=facettepy.__email__,
    description='Wrapper python for Facette',
    long_description=open('README.md').read(),
    tests_require=['tox'],
    cmdclass={'test': Tox},
    classifiers=[
        "Programming Language :: Python",
        "Development Status :: 2 - Pre-Alpha",
        "License :: OSI Approved :: BSD License",
        "Natural Language :: English",
        "Operating System :: OS Independent",
        "Topic :: Software Development :: Libraries",
        "Topic :: Software Development :: Libraries :: Python Modules"
    ]
)
